////////////////////////////////////////////////////////////////////////////////
//
// File: physics.h
//
// Description:
//
// Author: Capt. Mike LeSauvage
//
// Revision History: 2 Apr 2006 - Created
//
////////////////////////////////////////////////////////////////////////////////
#include "variable.h"

void MoveRobots(t_LL listOfRobots);
void CheckRobotCollisions(GAME *game, t_LL listOfRobots);
void MoveWeapons(t_LL listOfWeapons);
void CheckWeaponCollisions(GAME *game, t_LL listOfRobots, t_LL listOfWeapons);
void UpdateSensorData(t_LL listOfRobots);
void UpdateEnergySystems(t_LL listOfRobots);
void CheckPixel(ALLEGRO_BITMAP *bmp, int x, int y, int data);
int ImagesCollide(ALLEGRO_BITMAP *imgA, int xA, int yA, ALLEGRO_BITMAP *imgB, int xB, int yB);
void ApplyDamage(GAME *game, t_LL listOfRobots, t_LL listOfDeadRobots);

